\documentclass{article}


%%% Packages %%%

\usepackage{amsmath, amsfonts, amsthm, amssymb}
\usepackage{bm} %for \mathbm = fat math font
\usepackage{bbold} %to write unite matrix as double 1's with
                   %\mathbb{1}
\usepackage{tensor} %to have tensor indices appear in order:
                    %\tensor{R}{^a_b} vs R^a_b
\usepackage{color}
\usepackage{shadowtext} %for fonts with shadows
%\usepackage{multicol} %for multiple columns
\usepackage{ytableau} 
\usepackage{xcolor}

% Tikz %
\usepackage{tikz}
\usepackage{tkz-euclide}
\usetkzobj{all}							% loads all objects used by tkz-euclide
\usetikzlibrary{shapes}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{decorations.pathmorphing} %need for gluon coil
\usetikzlibrary{shapes.misc}
\usetikzlibrary{backgrounds}
% declare layers
\pgfdeclarelayer{background}
\pgfdeclarelayer{foreground}
\pgfsetlayers{background,main,foreground}
\usetikzlibrary{fit}
\usetikzlibrary{matrix,arrows,decorations} %for equations with arrows above
\usetikzlibrary{decorations.pathreplacing,calc}
\usetikzlibrary{positioning,decorations.text} % for bent arrows with
                                % text above them
\usetikzlibrary{arrows.meta,bending}
\usetikzlibrary{fadings}
\usetikzlibrary{matrix,decorations.pathmorphing}
\usepgflibrary{decorations.footprints} %for footprint markings
\usetikzlibrary{calc}
\listfiles

%\input{TexDocPackages.tex}

\usetikzlibrary{external}

\tikzset{every picture/.style={inner sep=0,outer sep=0,line width=0.75pt
}}

\tikzexternalize[prefix=tikz/]								%where to store images
%\tikzset{external/mode=graphics if exists}         %only generate image if it doesn't already exist


\begin{document}



\input{Birdtracks_style_defs.tex}





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% PRIMITIVE INVARIANTS OF S_4 %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% PRIMITIVE INVARIANTS %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetexternalprefix{tikz/2}

%
%% Identity %%
%

\tikzsetnextfilename{Id_w_coords}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);
\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)--(R1);
%\draw(L2)--(R2);
%\draw(L3)--(R3);
\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)--(R4);
\node[label={right:$a_1$}] at ([shift={(1,0)}]$(R1)$) {};
\node[label={right:$a_2$}] at ([shift={(1,0)}]$(R4)$) {};
\node[label={left:$b_1$}] at ([shift={(-1,0)}]$(L1)$) {};
\node[label={left:$b_2$}] at ([shift={(-1,0)}]$(L4)$) {};
}}


%
%% (12) %%
%

\tikzsetnextfilename{s12_w_coords}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R4);
%\draw(L2)--(R2);
%\draw(L3)--(R3);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R1);
\node[label={right:$a_1$}] at ([shift={(1,0)}]$(R1)$) {};
\node[label={right:$a_2$}] at ([shift={(1,0)}]$(R4)$) {};
\node[label={left:$b_1$}] at ([shift={(-1,0)}]$(L1)$) {};
\node[label={left:$b_2$}] at ([shift={(-1,0)}]$(L4)$) {};
}}











%%%%%%%%%%% 		3 index permutations 				%%%%%%%%%%%%%%%%%%%%


\tikzsetexternalprefix{tikz/3}

%
%% Identity %%
%

\tikzsetnextfilename{Id}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0);
\coordinate(L3)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0);
\coordinate(R3)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)--(R1);

\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)--(R2);

\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)--(R3);  

}}


%
%% (123) %%
%

\tikzsetnextfilename{s123}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0);
\coordinate(L3)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0);
\coordinate(R3)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R2);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R3);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R1);  

}}


%
%% (132) %%
%

\tikzsetnextfilename{s132}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0);
\coordinate(L3)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0);
\coordinate(R3)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R3);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R1);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R2);  

}}









%%%%%%%%% 		4 index tensors 		%%%%%%%%%%%%%%



\tikzsetexternalprefix{tikz/4}

%
%% Identity %%
%

\tikzsetnextfilename{Id}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)--(R1);
  
  \draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)--(R2);
  
  \draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)--(R3);

\draw[decoration={markings, mark=at position 0.5 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)--(R4);

}}



%
%% (1234) %%
%

\tikzsetnextfilename{s1234}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R2);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R3);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R4);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R1);

}}

%
%% (1432) %%
%

\tikzsetnextfilename{s1432}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R4);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R1);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R2);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R3);

}}


%
%% (13)(24) %%
%

\tikzsetnextfilename{s13_24}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R3);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R4);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R1);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R2);

}}

%
%% (12) %%
%

\tikzsetnextfilename{s12}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R2);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R1);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R3);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R4);

}}


%
%% (34) %%
%

\tikzsetnextfilename{s34}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R1);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R2);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R4);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R3);

}}

%
%% (12)(34) %%
%

\tikzsetnextfilename{s12_34}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R2);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to[wavy](R1);
  
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to[wavy](R4);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R3);

}}





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% PRIMITIVE INVARIANTS SEMI-NARROW %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%
%% Identity Semi-Narrow %%
%

\tikzsetnextfilename{IdSN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)--(R1);
\draw(L2)--(R2);
\draw(L3)--(R3);
\draw(L4)--(R4);}}


%
%% Sigma(12) Semi-Narrow %%
%

\tikzsetnextfilename{s12SN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)to[wavy](R2);
\draw(L2)to[wavy](R1);
\draw(L3)--(R3);
\draw(L4)--(R4);
}}


%
%% Sigma(23) Semi-Narrow %%
%

\tikzsetnextfilename{s23SN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)--(R1);
\draw(L4)--(R4);
\draw(L2)to[wavy](R3);
\draw(L3)to[wavy](R2);}}


%
%% Sigma(34) Semi-Narrow %%
%

\tikzsetnextfilename{s34SN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)--(R1);
\draw(L2)--(R2);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R3);}}


%
%% Sigma(12)Sigma(34) Semi-Narrow %%
%

\tikzsetnextfilename{s12s34SN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)to[wavy](R2);
\draw(L2)to[wavy](R1);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R3);}}


%
%% Sigma(243) Semi-Narrow %%
%

\tikzsetnextfilename{s243SN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-1,1.5);
\coordinate(L2)at(-1,0.5);
\coordinate(L3)at(-1,-0.5);
\coordinate(L4)at(-1,-1.5);
\coordinate(R1)at(1,1.5);
\coordinate(R2)at(1,0.5);
\coordinate(R3)at(1,-0.5);
\coordinate(R4)at(1,-1.5);
\draw(L1)--(R1);
\draw(L2)to[wavy](R3);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R2);
}}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% PRIMITIVE INVARIANTS NARROW %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%
%% Identity Narrow %%
%

\tikzsetnextfilename{IdN}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)--(R1);
\draw(L2)--(R2);
\draw(L3)--(R3);
\draw(L4)--(R4);}}


%
%% Sigma(12) Narrow %%
%

\tikzsetnextfilename{s12N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)to[wavy](R2);
\draw(L2)to[wavy](R1);
\draw(L3)--(R3);
\draw(L4)--(R4);
}}


%
%% Sigma(13) Narrow %%
%

\tikzsetnextfilename{s13N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L2)--(R2);
\draw(L4)--(R4);
\draw(L1)to[wavy](R3);
\draw(L3)to[wavy](R1);}}


%
%% Sigma(14) Narrow %%
%

\tikzsetnextfilename{s14N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L2)--(R2);
\draw(L3)--(R3);
\draw(L1)to[wavy](R4);
\draw(L4)to[wavy](R1);}}


%
%% Sigma(23) Narrow %%
%

\tikzsetnextfilename{s23N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)--(R1);
\draw(L4)--(R4);
\draw(L2)to[wavy](R3);
\draw(L3)to[wavy](R2);}}


%
%% Sigma(34) Narrow %%
%

\tikzsetnextfilename{s34N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)--(R1);
\draw(L2)--(R2);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R3);}}


%
%% Sigma(12)Sigma(34) Narrow %%
%

\tikzsetnextfilename{s12s34N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)to[wavy](R2);
\draw(L2)to[wavy](R1);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R3);}}


%
%% Sigma(123) Narrow %%
%

\tikzsetnextfilename{s123N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw[wavy](L1)to(R3);
\draw[wavy](L2)to(R1);
\draw[wavy](L3)to(R2);
\draw(L4)--(R4);
}}


%
%% Sigma(132) Narrow %%
%

\tikzsetnextfilename{s132N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw[wavy](L1)to(R2);
\draw[wavy](L2)to(R3);
\draw[wavy](L3)to(R1);
\draw(L4)--(R4);
}}


%
%% Sigma(243) Narrow %%
%

\tikzsetnextfilename{s243N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)--(R1);
\draw(L2)to[wavy](R3);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R2);
}}


%
%% Sigma(234) Narrow %%
%

\tikzsetnextfilename{s234N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)--(R1);
\draw(L2)to[wavy](R4);
\draw(L3)to[wavy](R2);
\draw(L4)to[wavy](R3);
}}


%
%% Sigma(1243) Narrow %%
%

\tikzsetnextfilename{s1243N}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.7,1.5);
\coordinate(L2)at(-0.7,0.5);
\coordinate(L3)at(-0.7,-0.5);
\coordinate(L4)at(-0.7,-1.5);
\coordinate(R1)at(0.7,1.5);
\coordinate(R2)at(0.7,0.5);
\coordinate(R3)at(0.7,-0.5);
\coordinate(R4)at(0.7,-1.5);
\draw(L1)to[wavy](R3);
\draw(L3)to[wavy](R4);
\draw(L4)to[wavy](R2);
\draw(L2)to[wavy](R1);}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Directional Arrows  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%
%% Arrows for 4q Left %%
%

\tikzsetnextfilename{ArrLeft}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.35,1.5);
\coordinate(L2)at(-0.35,0.5);
\coordinate(L3)at(-0.35,-0.5);
\coordinate(L4)at(-0.35,-1.5);
\coordinate(R1)at(0.35,1.5);
\coordinate(R2)at(0.35,0.5);
\coordinate(R3)at(0.35,-0.5);
\coordinate(R4)at(0.35,-1.5);
\draw[decoration={markings, mark=at position 0.2 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to(R1);
\draw[decoration={markings, mark=at position 0.2 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to(R2);
\draw[decoration={markings, mark=at position 0.2 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to(R3);
\draw[decoration={markings, mark=at position 0.2 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to(R4);
}}


%
%% Arrows for 4q Right %%
%

\tikzsetnextfilename{ArrRight}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.35,1.5);
\coordinate(L2)at(-0.35,0.5);
\coordinate(L3)at(-0.35,-0.5);
\coordinate(L4)at(-0.35,-1.5);
\coordinate(R1)at(0.35,1.5);
\coordinate(R2)at(0.35,0.5);
\coordinate(R3)at(0.35,-0.5);
\coordinate(R4)at(0.35,-1.5);
\draw[decoration={markings, mark=at position 0 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to(R1);
\draw[decoration={markings, mark=at position 0 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L2)to(R2);
\draw[decoration={markings, mark=at position 0 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L3)to(R3);
\draw[decoration={markings, mark=at position 0 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to(R4);
}}



%
%% Arrows for 4qb Left %%
%

\tikzsetnextfilename{qbArrLeft}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.35,1.5);
\coordinate(L2)at(-0.35,0.5);
\coordinate(L3)at(-0.35,-0.5);
\coordinate(L4)at(-0.35,-1.5);
\coordinate(R1)at(0.35,1.5);
\coordinate(R2)at(0.35,0.5);
\coordinate(R3)at(0.35,-0.5);
\coordinate(R4)at(0.35,-1.5);
\draw[decoration={markings, mark=at position 1 with
  {\arrow[black]{stealth}}}, postaction=decorate](L1)to(R1);
\draw[decoration={markings, mark=at position 1 with
  {\arrow[black]{stealth}}}, postaction=decorate](L2)to(R2);
\draw[decoration={markings, mark=at position 1 with
  {\arrow[black]{stealth}}}, postaction=decorate](L3)to(R3);
\draw[decoration={markings, mark=at position 1 with
  {\arrow[black]{stealth}}}, postaction=decorate](L4)to(R4);
}}


%
%% Arrows or 4qb Right %%
%

\tikzsetnextfilename{qbArrRight}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);
\coordinate(L1)at(-0.35,1.5);
\coordinate(L2)at(-0.35,0.5);
\coordinate(L3)at(-0.35,-0.5);
\coordinate(L4)at(-0.35,-1.5);
\coordinate(R1)at(0.35,1.5);
\coordinate(R2)at(0.35,0.5);
\coordinate(R3)at(0.35,-0.5);
\coordinate(R4)at(0.35,-1.5);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrow[black]{stealth}}}, postaction=decorate](L1)to(R1);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrow[black]{stealth}}}, postaction=decorate](L2)to(R2);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrow[black]{stealth}}}, postaction=decorate](L3)to(R3);
\draw[decoration={markings, mark=at position 0.8 with
  {\arrow[black]{stealth}}}, postaction=decorate](L4)to(R4);
}}

 
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%			k index tensors 			%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tikzsetexternalprefix{tikz/K_}



%
%% Cyclicity element%%
%

\tikzsetnextfilename{cyclicity_element}{\tikz[anchor=base, yscale=0.25, xscale=0.25,
  shift={(0,-0.8)}]{
  
\draw[invisible](0,-2.3)circle(0.01);
\draw[invisible](0,2.3)circle(0.01);

\coordinate(L0)at(-2,2.5);
\coordinate(L1)at(-2,1.5);
\coordinate(L2)at(-2,0.5);
\coordinate(L3)at(-2,-0.5);
\coordinate(L4)at(-2,-1.5);
\coordinate(L5)at(-2,-2.5);
\coordinate(R0)at(2,2.5);
\coordinate(R1)at(2,1.5);
\coordinate(R2)at(2,0.5);
\coordinate(R3)at(2,-0.5);
\coordinate(R4)at(2,-1.5);
\coordinate(R5)at(2,-2.5);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L0)to[wavy](R1);
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L1)to[wavy](R2);

\draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L4)to[wavy](R5);
  \draw[decoration={markings, mark=at position 0.8 with
  {\arrowreversed[black]{stealth}}}, postaction=decorate](L5)to[wavy](R0);
  
  
 \draw[dotted] ([shift={(1.5,0)}]R3) -- ([shift={(1.5,0)}]R4);
 \draw[dotted] ([shift={(-1.5,0)}]L2) -- ([shift={(-1.5,0)}]L4);
  
\node[label={right:$a_1$}] at ([shift={(1,0)}]$(R0)$) {};
\node[label={right:$a_2$}] at ([shift={(1,0)}]$(R1)$) {};
\node[label={right:$a_3$}] at ([shift={(1,0)}]$(R2)$) {};
\node[label={right:$a_k$}] at ([shift={(1,0)}]$(R5)$) {};

\node[label={left:$b_1$}] at ([shift={(-1,0)}]$(L0)$) {};
\node[label={left:$b_2$}] at ([shift={(-1,0)}]$(L1)$) {};
\node[label={left:$b_k$}] at ([shift={(-1,0)}]$(L5)$) {};
}}


 
 
 
 
 
 
 
 
 
 
 
 


\end{document}



%%% Local Variables: 
%%% mode: latex
%%% TeX-master: t
%%% End: 
